# $Revision: 1.39 $, $Date: 2004/04/12 22:35:33 $
#
# Conditional build:
%bcond_with	alsa		# with ALSA support (0.5 only)
#
%define		_commonlibver	1.2.16
Summary:	Audio conference tool
Summary(pl):	Narzdzie do audio-konferencji
Name:		rat
Version:	4.2.25
Release:	2
License:	BSD-like
Group:		X11/Applications/Sound
Source0:	http://www-mice.cs.ucl.ac.uk/multimedia/software/rat/releases/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d959a507b27573f80511fd6739b33514
Patch0:		%{name}-FHS_DESTDIR.patch
Patch1:		%{name}-ipv6.patch
Patch2:		%{name}-common-shared.patch
Patch3:		%{name}-acfix.patch
Patch4:		%{name}-alsa.patch
Patch5:		%{name}-tcl.patch
Patch6:		%{name}-types.patch
URL:		http://www-mice.cs.ucl.ac.uk/multimedia/software/rat/
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk-doc
BuildRequires:	libtool
BuildRequires:	tcl-devel >= 8.4
BuildRequires:	tk-devel >= 8.4
BuildRequires:	ucl-common-devel >= %{_commonlibver}
Requires:	ucl-common >= %{_commonlibver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_commonincludedir	/usr/include/ucl

%description
RAT (Robust-Audio Tool) is a network audio tool that allows users to
particpate in audio conferences over the internet. These can be
between two participants directly, or between a group of participants
on a common multicast group. No special features are required to use
RAT in point-to-point mode, but to use the multicast conferencing
facilities of RAT, a connection to the Mbone, or a similar multicast
capable network, is required. RAT is based on IETF standards, using
RTP above UDP/IP as its transport protocol, and conforming to the RTP
profile for audio and video conferences with minimal control.

%description -l pl
RAT (Robust-Audio Tool) jest programem pozwalajcym uytkownikom bra
udzia w konferencjach audio w Internecie. Mog sie one odbywa
pomidzy dwoma uczestnikami bezporednio lub pomidzy uczestnikami
grupy multicastowej. Do uywania RAT w trybie punkt-punkt nie jest
potrzebna adna specjalna konfiguracja, lecz aby korzysta z
moliwoci konferencji multicastowej, przycze do sieci MBone lub
podobnej jest wymagane. RAT oparty jest na standardach IETF, uywa RTP
po UDP/IP jako protok transportowy i jest zgodny z profilem RTP
dotyczcym konferencji audio i video z minimaln kontrol.

%package -n ucl-common
Summary:	UCL Common Code Library
Summary(pl):	Biblioteka wsplnego kodu UCL
Version:	%{_commonlibver}
Group:		Libraries

%description -n ucl-common
Routines common to a number of multimedia tools like sdr, nte or wbd.
The library originates from work on the RAT project: these are
portions that are not directly related to an audio tool and
potentially useful elsewhere.

%description -n ucl-common -l pl
Procedury uywane przez kilka narzdzi multimedialnych, takich jak
sdr, nte czy wbd. Biblioteka ta wywodzi si z prac nad projektem RAT,
ale jej czsci nie s zwizane wycznie z narzdziami do dwiku i
mog by przydatne do innych celw.

%package -n ucl-common-devel
Summary:	Header files for UCL Common Code Library
Summary(pl):	Pliki nagwkowe do biblioteki wsplnego kodu UCL
Version:	%{_commonlibver}
Group:		Development/Libraries
Requires:	ucl-common = %{_commonlibver}

%description -n ucl-common-devel
Header files for UCL Common Code Library.

%description -n ucl-common-devel -l pl
Pliki nagwkowe biblioteki wsplnego kodu UCL.

%package -n ucl-common-static
Summary:	UCL Common Code static library
Summary(pl):	Statyczna biblioteka wsplnego kodu UCL
Group:		Development/Libraries
Requires:	ucl-common-devel = %{_commonlibver}

%description -n ucl-common-static
UCL Common Code static library.

%description -n ucl-common-static -l pl
Statyczna biblioteka wsplnego kodu UCL.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
cd common
cp -f /usr/share/automake/config.* .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--enable-ipv6 \
	--includedir=%{_commonincludedir}
%{__make}
cd ../rat
cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--with-tcltk-version=8.4 \
	--with-tcl=/usr \
	--with-tk=/usr \
	--enable-ipv6 \
	%{!?debug:--enable-optimize} \
	%{?debug:--enable-debug} \
	%{!?with_alsa:--without-alsa}
#	--with-common=/usr/include/ucl
%{__make} \
	EXTERNAL_DEP=""

%install
rm -rf $RPM_BUILD_ROOT

%if 0
%{__make} -C common/src install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%{__make} -C rat install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n ucl-common -p /sbin/ldconfig
%postun	-n ucl-common -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc rat/MODS* rat/README* rat/COPYRIGHT*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%dir %{_sysconfdir}/sdr
%dir %{_sysconfdir}/sdr/plugins
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/sdr/plugins/*

%if 0
%files -n ucl-common
%doc common/{COPYRIGHT,MODS,README,src/README.qfdes}
%attr(755,root,root) %{_libdir}/libuclmmbase.so.*.*.*

%files -n ucl-common-devel
%defattr(644,root,root,755)
%doc common/doc/html/*.html
%attr(755,root,root) %{_libdir}/libuclmmbase.so
%{_libdir}/libuclmmbase.la
%{_commonincludedir}

%files -n ucl-common-static
%defattr(644,root,root,755)
%{_libdir}/libuclmmbase.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rat.spec,v $
Revision 1.39  2004/04/12 22:35:33  qboosh
- added types patch, release 2

Revision 1.38  2004/04/12 22:21:31  qboosh
- updated to 4.2.25, updated common-shared patch
- added tcl patch to build with tcl/tk 8.4
- disabled ALSA, it supports only ALSA 0.5

Revision 1.37  2004/02/16 00:03:05  eothane
- bcond style, changelog cleanups

Revision 1.36  2003/05/28 13:01:37  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 06:26:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/04/19 22:00:32  qboosh
- updated to 4.2.23 (ucl-common 1.2.13)
- added common-shared patch - build ucl-common as shared library
- added acfix and alsa patches, link alsa dynamically, allow building w/o alsa
- missing dirs

Revision 1.33  2003/04/16 12:53:20  qboosh
- updated URLs

Revision 1.32  2003/02/28 10:08:50  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.31  2003/01/18 22:56:18  juandon
- removed two lines with define

Revision 1.30  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.29  2002/11/30 23:00:26  juandon
- new %%doc

Revision 1.28  2002/04/26 20:23:12  ankry
- added ipv6 patch to fix compilation
- removed non-working autoconf support
- it builds; not tested yet

Revision 1.27  2002/04/26 11:39:24  ankry
- started update to 4.2.21, NFY
- fixed license

Revision 1.26  2002/03/27 11:01:27  roman
- s/Custom/custom in License

Revision 1.25  2002/02/23 04:32:20  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/01 14:54:25  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.22  2002/01/18 02:14:46  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/08 14:50:05  qboosh
- pl spelling: s/koyst/korzyst/

Revision 1.20  2001/09/30 10:08:00  qboosh
- BuildRequires: autoconf, automake

Revision 1.19  2001/09/29 23:45:41  blues
- release 2
- partialy ac2.5 ready...

Revision 1.18  2001/06/16 16:01:08  jajcus
- build ucl-common-devel from rat sources
- Polish translations

Revision 1.17  2001/06/14 11:52:54  jajcus
- %%{_mandir} fixed

Revision 1.16  2001/06/14 11:16:02  jajcus
- %%doc fixed

Revision 1.15  2001/06/14 09:32:09  jajcus
- %%descritpion and Group fixed
- adapterized

Revision 1.14  2001/06/14 09:29:16  jajcus
- new spec
